<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    style="@style/MatchMatch.Vertical">

    <include layout="@layout/toolbar_title_text" />

    <RelativeLayout style="@style/MatchWrap.Horizontal">

        <!-- 背景EditText -->
        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/search_et_input"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginVertical="5dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="10dp"
            android:background="@drawable/white_bg"
            android:drawableStart="@drawable/search_icon"
            android:drawablePadding="10dp"
            android:hint="请输入任务编号"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:paddingVertical="10dp"
            android:paddingStart="10dp"
            android:paddingEnd="50dp"
            android:textSize="14sp" />

        <!-- 覆盖在EditText上的ImageView -->
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignEnd="@id/search_et_input"
            android:layout_centerVertical="true"
            android:layout_marginEnd="10dp"
            android:background="?actionBarItemBackground"
            android:elevation="11dp"
            android:padding="10dp"
            android:src="@drawable/login_clear_icon"
            android:visibility="gone" />
    </RelativeLayout>

    <RelativeLayout style="@style/MatchMatch">

        <com.sxyz.rfid.widgets.AbsSwipeRefreshLayout
            android:id="@+id/swipeRefreshLayout"
            style="@style/MatchMatch">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                style="@style/RecyclerViewStyleMatchMatch1"
                android:background="@color/c_f5f5" />

        </com.sxyz.rfid.widgets.AbsSwipeRefreshLayout>

        <LinearLayout
            style="@style/WrapWrap.Vertical"
            android:layout_centerInParent="true"
            android:gravity="center_horizontal">
            <!--暂无数据-->
            <include
                android:id="@+id/included_nothing"
                layout="@layout/include_nothing_layout" />

            <!--暂无数据-->
            <include
                android:id="@+id/included_no_db"
                layout="@layout/include_no_db_layout" />

        </LinearLayout>

    </RelativeLayout>

</LinearLayout>